import crafttweaker.item.IIngredient;

//Описание предметов===============================================================================================================

        val Blood_tooltip = 
        [<bloodmagic:teleposer>, <bloodmagic:sigil_teleposition>, <bloodmagic:sigil_transposition>, <bloodmagic:sigil_holding>, <bloodmagic:mimic:*>]
        as IIngredient[];

        for item_tip_b in Blood_tooltip{
        item_tip_b.addTooltip("\u00a74\u00a7l\u0412 \u0434\u0430\u043d\u043d\u043e\u0439 \u0441\u0431\u043e\u0440\u043a\u0435 \u044d\u0442\u043e\u0442 \u043f\u0440\u0435\u0434\u043c\u0435\u0442 \u0432\u044b\u043a\u043b\u044e\u0447\u0435\u043d");
        }

//Полное удаление предметов========================================================================================================

    //поддельный блок
    recipes.remove(<bloodmagic:mimic:*>);

    //удаление разумного камня 
        mods.bloodmagic.TartaricForge.removeRecipe([<minecraft:diamond_chestplate>, <minecraft:iron_block>, <minecraft:obsidian>, <bloodmagic:soul_gem:1>.withTag({})]);

    //сигилы
        mods.bloodmagic.AlchemyArray.removeRecipe(<bloodmagic:sigil_holding>, <bloodmagic:slate:2>);
        mods.bloodmagic.AlchemyArray.removeRecipe(<bloodmagic:sigil_teleposition>, <bloodmagic:slate:3>);
        mods.bloodmagic.AlchemyArray.removeRecipe(<bloodmagic:sigil_transposition>, <bloodmagic:slate:3>);
        mods.bloodmagic.AlchemyArray.removeRecipe(<bloodmagic:component:27>, <bloodmagic:slate:2>);
        mods.bloodmagic.AlchemyArray.removeRecipe(<bloodmagic:component:17>, <bloodmagic:slate:3>);
        mods.bloodmagic.AlchemyArray.removeRecipe(<bloodmagic:component:18>, <bloodmagic:slate:3>);
        mods.bloodmagic.AlchemyTable.removeRecipe([<bloodmagic:sigil_holding>]);

    //телепозер
        recipes.remove(<bloodmagic:teleposer>);

//Изменение крафтов================================================================================================================

    //Удаление легкого крафта адской кузни и добавление сложного

        
        recipes.addShaped(<bloodmagic:soul_forge>, 
        [[<ore:ingotGold>, null, <ore:ingotGold>],
        [<botania:livingrock>, <ore:ingotManasteel>, <botania:livingrock>], 
        [<botania:livingrock>, <minecraft:iron_block>, <botania:livingrock>]]);


    //Удаление легкого крафта кровавого алтаря и добавление более сложного

        recipes.remove(<bloodmagic:altar>);
        recipes.addShaped(<bloodmagic:altar>, 
        [[<botania:livingrock>, <minecraft:furnace>, <botania:livingrock>],
        [<botania:livingrock>, <ore:blockIron>, <botania:livingrock>], 
        [<minecraft:gold_ingot>, <bloodmagic:monster_soul>, <minecraft:gold_ingot>]]);


    //Удаление легкого крафта какой-то Snare из BM и добавление более сложного

        recipes.remove(<bloodmagic:soul_snare> * 4);
        recipes.addShaped(<bloodmagic:soul_snare>, 
        [[<ore:string>, <ore:ingotIron>, <ore:string>],
        [<ore:ingotIron>, <ore:dustRedstone>, <ore:ingotIron>], 
        [<ore:string>, <ore:ingotIron>, <ore:string>]]);


    //Удаление легкого крафта плитки и добавление сложного

        mods.bloodmagic.BloodAltar.removeRecipe(<minecraft:stone>);
        mods.bloodmagic.BloodAltar.addRecipe(<bloodmagic:slate>, <botania:livingrock>, 0, 1000, 5, 5);


    //кровавый камень - усложнение

        recipes.remove(<bloodmagic:decorative_brick>);
        recipes.addShapeless (<bloodmagic:decorative_brick>, [<botania:livingrock>, <bloodmagic:blood_shard>]);

    //разумная броня
    
        recipes.addShaped(<bloodmagic:sentient_armour_helmet>,
        [[<minecraft:iron_ingot>, <bloodmagic:base_item_filter>, <minecraft:iron_ingot>],
        [<minecraft:iron_ingot>, <minecraft:diamond_helmet>, <minecraft:iron_ingot>],
        [<minecraft:obsidian>, <bloodmagic:soul_gem>, <minecraft:obsidian>]]);

        recipes.addShaped(<bloodmagic:sentient_armour_chest>,
        [[<minecraft:iron_ingot>, <bloodmagic:base_item_filter>, <minecraft:iron_ingot>],
        [<minecraft:iron_ingot>, <minecraft:diamond_chestplate>, <minecraft:iron_ingot>],
        [<minecraft:obsidian>, <bloodmagic:soul_gem>, <minecraft:obsidian>]]);

        recipes.addShaped(<bloodmagic:sentient_armour_leggings>,
        [[<minecraft:iron_ingot>, <bloodmagic:base_item_filter>, <minecraft:iron_ingot>],
        [<minecraft:iron_ingot>, <minecraft:diamond_leggings>, <minecraft:iron_ingot>],
        [<minecraft:obsidian>, <bloodmagic:soul_gem>, <minecraft:obsidian>]]);

        recipes.addShaped(<bloodmagic:sentient_armour_boots>,
        [[<minecraft:iron_ingot>, <bloodmagic:base_item_filter>, <minecraft:iron_ingot>],
        [<minecraft:iron_ingot>, <minecraft:diamond_boots>, <minecraft:iron_ingot>],
        [<minecraft:obsidian>, <bloodmagic:soul_gem>, <minecraft:obsidian>]]);